#version unofficial MegaPov 0.5;

#declare tv=
union{
 difference{
  superellipsoid{<.02,.02>
   scale .505
   rotate 90*x
  }
  box{
   -.5,.5
   scale <1,1,1.1>
  }
  scale <tv_w,tv_h,tv_d*.1>
  texture{
   pigment{Gray20}
   normal{granite .1 scale .1}
   finish{Glossy reflection .1}
  }
  translate -tv_d*.45*z
 }
 difference{
  superellipsoid{<.02,.02>
   scale .5
   rotate 90*x
   scale <tv_w,tv_h,tv_d>
  }
  box{
   -.5,.5
   scale <tv_w*.9,tv_h*.9,tv_d>
   translate -2*z
  }
  #declare nc=24;
  #declare cnt_c=2;
  #while (cnt_c<nc)
   cylinder{<0,0,-.5>,<0,0,.5>,.2
    scale <1,1,5*sin(3.141516*cnt_c/nc)>
    translate -tv_w*.5*x
    translate tv_h*.4*y
    translate -cnt_c*.5*y
    translate -4*z
   }
   #declare cnt_c=cnt_c+1;
  #end
  hollow
  texture{
   pigment{Gray20}
   normal{granite .1 scale .1}
   finish{Glossy reflection .1}
  }
 }
 box{
  -.5,.5
  hollow
  texture{
   pigment{
    #if (tv_on)
     image_map{
      tga "tv_image"
      filter all .9 transmit all .5
     }
     translate -.5
    #else
     Gray
    #end
   }
   finish{Glass_Finish}
  }
  scale <tv_w*.9,tv_h*.9,1>
  translate -tv_d*.49*z
 }
 #if (tv_on)
 // simulation of CRT luminance (interior)
 box{
  -.5,.5
  scale <tv_w*.9,tv_h*.9,tv_d*.8>
  hollow
  texture{pigment{Clear}}
  interior{
     media {
      emission .01
      intervals 10
      samples 1, 10
      confidence 0.9999
      variance 1/1000
      density {
        bozo
        color_map {
          [0.0 White]
          [1.0 White]
        }
      }
     }
  }
  translate 2*z
 }
 // simulation of CRT luminance (exterior halo)
 box{
  -.5,.5
  scale <tv_w*.9,tv_h*.9,1>
  hollow
  texture{pigment{Clear}}
  interior{
     media {
      emission .1
      intervals 10
      samples 1, 10
      confidence 0.9999
      variance 1/1000
      density {
       gradient z
        color_map {
          [0.0 Gray*.3+Blue*.1]
          [1.0 Black]
        }
      }
     }
  }
  scale <1,1,10>
  translate <0,0,-tv_d*.5-5>
 }
 #end
 translate <0,tv_h*.5,0>
}

#declare tv_table=
union{
 difference{
  box{-.5,.5}
  box{-.5,.5 scale <.9,.9,1.1>}
  scale <70,50,30>
  pigment{Tan}
 }
 box{-.5,.5
  pigment{Tan}
  scale <70,50,.1>
  translate 15*z
 }
 box{-.5,.5
  texture{Glass}
  scale <70,50,.1>
  translate -15*z
 }
}
