#declare t_vase=
texture{
 T_Gold_1A
 normal{granite scale 4}
}
#declare vase_light_color=Gold*.6+White*.4;
#declare t_coordinado_f3=
texture{
 pigment{
  image_map{
   tga "im_tapizado"
   map_type 1
   filter all .5
   transmit all .5
  }
  scale .5
 }
}
#declare t_coordinado_f2=t_coordinado_f3
#declare vase_light_width=r_w*.4;

#declare vase=
union{
 intersection{
  lathe{
   quadratic_spline
   12
   <0,-1>
   <0,0>
   <2.5,0>
   <1.4,0.1>
   <2,1>
   <1,4>
   <2,6>
   <1,7>
   <2,8>
   <1.5,8.5>
   <1,10>
   <0,10>
  }
  plane{y,10}
  texture{t_vase}
 }
 union{
  difference{
   cone{<0,9,0>,5,<0,16,0>,3}
   cone{<0,8.9,0>,4.9,<0,16.1,0>,2.9}
   texture{t_coordinado_f3}
   hollow
   scale .999
  }
  cone{<0,9,0>,5,<0,16,0>,3
   hollow
   texture{pigment{Clear}}
   #if (vase_light)
   interior{
     media {
      emission .1
      intervals 10
      samples 1, 10
      confidence 0.9999
      variance 1/1000
      density {
        cylindrical
        color_map {
          [0.0 vase_light_color]
          [1.0 vase_light_color]
        }
        frequency 1
      }
     }
   }
   #end
   scale .98
  }
  union{
   cylinder{<0,8.6,0>,<0,9,0>,0.9}
   cylinder{<0,9,0>,<0,10,0>,0.5}
   texture{pigment{White} finish{Shiny}}
  }
  union{
   torus{2.95,.08 translate 16.05*y}
   torus{4.95,.08 translate 8.85*y}
   cylinder{<0,8.55,0>,<0,8.65,0>,.85}
   cylinder{<0,8.85,-4.95>,<0,8.6,-.9>,.07}
   cylinder{<0,8.85,-4.95>,<0,8.6,-.9>,.07 rotate 120*y}
   cylinder{<0,8.85,-4.95>,<0,8.6,-.9>,.07 rotate -120*y}
   cylinder{<0,8.85,-4.9>,<0,16.05,-2.9>,.07}
   cylinder{<0,8.85,-4.9>,<0,16.05,-2.9>,.07 rotate 120*y}
   cylinder{<0,8.85,-4.9>,<0,16.05,-2.9>,.07 rotate -120*y}
   cylinder{<0,10,0>,<0,11,0>,0.3 no_shadow}
   texture{Gold_Texture}
  }
  #if (vase_light)
  // --- vase lamp light ---
  sphere{<0,0,0>,1
   pigment { color rgbf<1, 1, 1, 1> }
   finish { ambient 0 diffuse 0 }
   interior{
     media {
      emission .1
      intervals 10
      samples 1, 10
      confidence 0.9999
      variance 1/1000
      density {
        spherical
        cubic_wave
        turbulence .1
        color_map {
          [0.0 Black]
          [0.5 vase_light_color*.1]
          [1.0 vase_light_color]
        }
        frequency 1
      }
     }
   }
   no_shadow
   hollow
   scale <1,1,1>
   scale 6
   translate 12*y
  }
  light_source{
   <0,12,0>
   vase_light_color
   #if (area_on_vase)
     area_light <2,0,0>, <0, 0, 2>, 4,4
     adaptive 1
     jitter
   #end
   fade_distance vase_light_width
   fade_power 4
   media_attenuation off
  }
  #end
 }
 rotate 45*y
}
