/*

  "TV-ROOM", Jaime Vives Piqueres, (?)2000.

*/

#version unofficial MegaPov 0.5;

// *** RENDER CONTROL ***
#declare qr_sw=          0;
#declare ceil_light=     0;
#declare hall_ceil_light=1;
#declare vase_light=     1;
#declare area_on_vase=   0;
#declare trace_vase=     1;
#declare tv_on=          1;
#declare trace_tv=       1;
#declare trace_room=     1;
#declare trace_table=    0;
#declare trace_beers=    0;
#declare trace_pizzas=   0;
#declare trace_clinex=   0;
#declare trace_potatobag=0;
#declare trace_sofa=     0;
#declare trace_shocket=  1;
#declare trace_remote=   0;
#declare trace_plant=    0;
#declare trace_papers=   0;
#declare trace_frames=   0;
#declare trace_cigars=   0;


// *** GLOBAL ***
global_settings{
 max_trace_level 16
 ambient_light 0.0
 #if (qr_sw)
  #include "i_radiosity.inc"
 #end
}


// *** STANDARD INCLUDES ***
#include "colors.inc"
#include "textures.inc"
#include "woods.inc"
#include "stones.inc"
#include "metals.inc"
#include "skies.inc"


// *** CUSTOM INCLUDES ***
#include "meshlath.inc"


// *** ROOM ***
#declare r_w=450;
#declare r_h=250;
#declare r_d=350;
#if (trace_room)
 #include "i_room.inc"
 object{room}
 object{room_floor}
 object{rodapies
  translate <0,0,r_d*.5>
 }
 object{puerta
  translate <120,0,r_d*.5>
 }
#end


// *** CEIL LIGHTS ***
#if (ceil_light)
light_source{
 <-450*.5+5,r_h-10,0>
 White*.5+Gold*.2
 fade_distance 1000
 fade_power 4
}
light_source{
 <450*.5-5,r_h-10,0>
 White*.5+Gold*.2
 fade_distance 1000
 fade_power 4
}
#end
#if (hall_ceil_light)
light_source{
 <120,r_h-10,r_d>
 (White+Gold*.5+Pink*.25)
 #if (area_on_vase)
  area_light <9,0,0>,<0,9,0>,4,4 jitter adaptive 1
 #end
 fade_distance 1000000
 fade_power 2
}
#end


// *** TV ***
#if (trace_tv)
#declare tv_w=60;
#declare tv_h=50;
#declare tv_d=25;
#include "i_tv.inc"
object{tv
 rotate 180*y
 translate <0,50,-r_d*.5+tv_d+80>
}
object{tv_table
 translate <0,25,-r_d*.5+tv_d+80>
}
#if (tv_on)
light_source{
  0
  Blue*.4+Gray70
  cylinder
  spotlight
  radius 50
  falloff 100
  tightness 1
  point_at <0, 0, -200>
  #if (area_on_vase)
   area_light <16,0,0>,<0,16,0>,4,4 jitter adaptive 1
  #end
  fade_distance 180
  fade_power 6
  translate <0,tv_h*.5,-tv_d*.51>
  rotate 180*y
  translate <0,50,-r_d*.5+tv_d+80>
}
#end#end


// *** SOFA ***
#if (trace_sofa)
#include "i_sofa.inc"
object{sofa01
 translate <-8,0.1,r_d*.5-45>
}
#end


// *** CORNER TABLE ***
#if (trace_table)
#include "i_table.inc"
object{
 table
 translate <-90,0.1,r_d*.5-50>
}
#end


// *** BEERS ON THE TABLE ***
#if (trace_beers)
#include "i_lata.inc"
object{lata
 translate <-85,31.1,r_d*.5-49>
}
object{lata
 rotate 130*y
 translate <-80,31.1,r_d*.5-45>
}
object{lata
 rotate 40*y
 translate <-82,31.1,r_d*.5-26>
}
object{lata
 rotate 90*x
 rotate 40*y
 translate <-75,31.1+4,r_d*.5-45>
}
object{lata
 rotate 90*x
 rotate 70*y
 translate <-65,.1+4,r_d*.5-75>
}
object{lata
 rotate 90*y
 translate <35,.5,r_d*.5-50>
}
#end


// *** PIZZAS ***
#if (trace_pizzas)
#include "i_pizza.inc"
#declare r_pzz=seed(563);
object{pizza_box(0,rand(r_pzz))
 translate <-75,31.1+1.5+.1,r_d*.5-65>
}
object{pizza_box(9,rand(r_pzz))
 rotate -80*y
 translate <-74,31.1+1.5+3.1+.1,r_d*.5-66>
}
#end


// *** CIGARRETS & ASHTRAY ***
#if (trace_cigars)
#include "i_tabaco.inc"
object{cajetilla
 rotate 90*x
 rotate -50*y
 translate <-65,31.1+(hond_caja*.5+grosor*1.5),r_d*.5-44>
}
#include "i_cigar.inc"
object{cig_butt_1
 rotate 90*x
 translate <32,41,r_d*.5-30>
}
object{cig_butt_1
 rotate 90*x
 rotate <3,45,2>
 translate <33,41,r_d*.5-31>
}
object{cig_butt_1
 rotate 90*x
 rotate <0,45,0>
 translate <39,1.1,r_d*.5-26>
}
object{foot_ashtray
 translate <33,1.3,r_d*.5-30>
}
#end


// *** PAPERS ***
#if (trace_papers)
#include "i_papers.inc"
#declare r_pap=seed(53);
object{
 wrinkled_paper(r_pap,1)
 translate <-65,2,r_d*.5-44>
}
object{
 wrinkled_paper(r_pap,.8)
 translate <-45,2,r_d*.5-74>
}
object{
 wrinkled_paper(r_pap,.9)
 translate <-55,2,r_d*.5-80>
}
object{
 wrinkled_paper(r_pap,1)
 translate <35,2,r_d*.5-10>
}
object{
 wrinkled_paper(r_pap,.7)
 translate <43,2,r_d*.5-40>
}
#end


// *** the shocket
#if (trace_shocket=1)
#declare shocket=
#include "i_shocket.inc"
object{shocket
 scale .9
 translate <40,20,r_d*.5-.1>
}
object{lswitch
 translate <62,100,r_d*.5>
}
#end


// *** REMOTE TV CONTROL ***
#if (trace_remote)
#include "i_calcu.inc"
object{calculadora
 rotate -10*y
 translate <-33,45,r_d*.5-55>
}
#end


// *** LAMP ***
#if (trace_vase=1)
#include "i_vase.inc"   // typycal vase lamp
// place on the table
object{vase
 scale <2.5,2,2.5>
// translate <-100,31.1,r_d*.5-40>
 translate <-100,31.1,r_d*.5-40>
}
#end


// *** PLANT ON THE CORNER ***
#if (trace_plant)
#include "i_plant.inc"
// plant on the left
#declare plant_pos=<-145,0,r_d*.5-35>;
object{plant_pot
 translate <plant_pos.x,.1,plant_pos.z>
}
union{
 object{hierbajos scale 4}
 object{hierbajos scale 4 rotate 90*y}
 translate <plant_pos.x,10,plant_pos.z>
}
#end


// *** FRAMES ***
#if (trace_frames)
#include "i_frames.inc"
object{frame1 rotate -1*x translate <-45,95,r_d*.5-.5>}
object{frame2 rotate -1*x translate <20,115,r_d*.5-.5>}
object{frame1 rotate -3*x rotate -90*y translate <61,135,r_d*.5+160>}
object{frame2 rotate -3*x rotate -90*y translate <61,105,r_d*.5+195>}
#end


// CLINEX
#if (trace_clinex)
#include "i_clinex.inc"
object{clinex_box
 rotate -40*y
 translate <-100,31+3,r_d*.5-64>
}
#end


// POTATOS BAG
#if (trace_potatobag)
#include "i_potbag.inc"
object{pot_bag
 translate <51,4,r_d*.5-20>
}
#end


// *** TAKE THE SHOT ***
/*
camera{
 location <95,125,-145>
 direction 1.9*z
 look_at <1,70,100>
}
*/
camera{
 location <95,150,-150>
 direction 2*z
 look_at <2,72,100>
}
